curl -X POST https://api.example.com/api/mcp/servers \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"projectId": "proj_123",
"name": "My MCP Server",
"description": "Production MCP server",
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/servers', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: 'proj_123',
name: 'My MCP Server',
description: 'Production MCP server',
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/servers',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'projectId': 'proj_123',
'name': 'My MCP Server',
'description': 'Production MCP server',
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"success": true,
"message": "MCP server created successfully",
"serverId": "mcp_abc123"
}
{
"success": false,
"message": "Invalid server configuration"
}
Server Management
Create MCP Server
Creates and registers a new MCP server configuration
POST
/
api
/
mcp
/
servers
curl -X POST https://api.example.com/api/mcp/servers \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"projectId": "proj_123",
"name": "My MCP Server",
"description": "Production MCP server",
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/servers', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: 'proj_123',
name: 'My MCP Server',
description: 'Production MCP server',
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/servers',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'projectId': 'proj_123',
'name': 'My MCP Server',
'description': 'Production MCP server',
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"success": true,
"message": "MCP server created successfully",
"serverId": "mcp_abc123"
}
{
"success": false,
"message": "Invalid server configuration"
}
Request Body
string
required
Project ID to associate the server with
string
required
Server name (minimum 1 character)
string
required
Transport protocol type. Must be one of:
stdio, http, or ssestring
Server description
string
Server URL for HTTP/SSE transport
string
default:"proxy"
Connection type:
direct or proxystring
Command to execute for stdio transport
string
Command arguments
object
Environment variables as key-value pairs
string
OAuth client ID
string
OAuth client secret
string
OAuth scope
string
Proxy server URL
string
Proxy authentication token
string
default:"Authorization"
Proxy authentication header name
number
Request timeout in milliseconds
number
Maximum total timeout in milliseconds
Response
boolean
Whether the server was created successfully
string
Success message or error details
string
Unique identifier for the created server
curl -X POST https://api.example.com/api/mcp/servers \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"projectId": "proj_123",
"name": "My MCP Server",
"description": "Production MCP server",
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/servers', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: 'proj_123',
name: 'My MCP Server',
description: 'Production MCP server',
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/servers',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'projectId': 'proj_123',
'name': 'My MCP Server',
'description': 'Production MCP server',
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"success": true,
"message": "MCP server created successfully",
"serverId": "mcp_abc123"
}
{
"success": false,
"message": "Invalid server configuration"
}

